diff --git a/doc/src/sgml/release-10.sgml b/doc/src/sgml/release-10.sgml
index 7b2130e3c1..1b685b44da 100644
--- a/doc/src/sgml/release-10.sgml
+++ b/doc/src/sgml/release-10.sgml
@@ -9230,6 +9230,32 @@ Branch: REL_10_STABLE [5159626af] 2017-11-03 14:14:16 -0400
      </para>
     </listitem>
 
+    <listitem>
+<!--
+2017-03-22 [017e4f258] Expose waitforarchive option through pg_stop_backup()
+2017-08-05 [52f8a59dd] Make pg_stop_backup's wait_for_archive flag work on stan
+-->
+     <para>
+      Add an optional <literal>wait_for_archive</literal> argument to the <link
+      linkend="functions-admin"><function>pg_stop_backup()</function></link>
+      function to allow waiting for all <acronym>WAL</acronym> to be archived (David Steele)
+     </para>
+    </listitem>
+
+    <listitem>
+<!--
+2016-12-12 [a924c327e] Add support for temporary replication slots
+-->
+     <para>
+      Add an optional <literal>temporary</literal> argument to
+      <literal>pg_create_logical_replication_slot()</literal>
+      and <literal>pg_create_physical_replication_slot()</literal> functions 
+      to allow creation of <link
+      linkend="functions-replication-table">temporary replication slots</link>
+      (Petr Jelinek)
+     </para>
+    </listitem>
+
    </itemizedlist>
 
   </sect2>
